PipeWire 1.4.10

Loading...
Searching...
No Matches
pw_client_endpoint_methods Struct Reference
Extensions » Session Manager

`#include <pipewire/extensions/session-manager/impl-interfaces.h>`

## Data Fields
uint32_t | version
| version of this structure
int(* | add_listener )(void *object, struct spa_hook *listener, const struct pw_client_endpoint_events *events, void *data)
int(* | update )(void *object, #define PW_CLIENT_ENDPOINT_UPDATE_PARAMS #define PW_CLIENT_ENDPOINT_UPDATE_INFO uint32_t change_mask, uint32_t n_params, const struct spa_pod **params, const struct pw_endpoint_info *info)
| Update endpoint information.
int(* | stream_update )(void *object, uint32_t stream_id, #define PW_CLIENT_ENDPOINT_STREAM_UPDATE_PARAMS #define PW_CLIENT_ENDPOINT_STREAM_UPDATE_INFO #define PW_CLIENT_ENDPOINT_STREAM_UPDATE_DESTROYED uint32_t change_mask, uint32_t n_params, const struct spa_pod **params, const struct pw_endpoint_stream_info *info)
| Update stream information.

## Field Documentation

## ◆ version

uint32_t pw_client_endpoint_methods::version

version of this structure

## ◆ add_listener

int(* pw_client_endpoint_methods::add_listener) (void *object, struct spa_hook *listener, const struct pw_client_endpoint_events *events, void *data)

The documentation for this struct was generated from the following file:

- pipewire/extensions/session-manager/impl-interfaces.h